<?php

namespace App\Http\Controllers;

use App\Models\Producto;
use Illuminate\Http\Request;

class ProductoController extends Controller
{
    public function show(Producto $producto){
        return view('productos.show', compact('producto'));
    }


    public function consulta(Producto $producto){
        $mensaje = "Quiero preguntar acerca de este producto: " . urlencode($producto->nombre);
        $numero = "59160641604"; // Reemplaza con el número que desees
    
        // Construye la URL de WhatsApp
        $url = "https://wa.me/{$numero}?text={$mensaje}";
    
        // Redirige a la URL de WhatsApp
        return redirect()->away($url);
    }
}
